package com.ssm.manage.dao;

import com.github.pagehelper.PageInfo;
import com.ssm.manage.entity.AccountTradeRecord;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.query.AccountTradeRecordRequest;
import com.ssm.manage.response.AccountTradeRecordResponse;

import java.text.ParseException;
import java.util.List;

public interface SsmAccountTradeRecordDao extends BaseDao<AccountTradeRecord> {
    void createTable(String date);

    int addRecord(AccountTradeRecord accountTradeRecord);
    int addRecord1(AccountTradeRecord accountTradeRecord);

    List<AccountTradeRecord> selectList(AccountTradeRecordRequest accountTradeRecordRequest);
    List<AccountTradeRecord> selectById(AccountTradeRecordRequest accountTradeRecordRequest);

    PageInfo<AccountTradeRecord> selectPage(AccountTradeRecordRequest accountTradeRecordRequest);
    PageInfo<AccountTradeRecordResponse> selectPages(AccountTradeRecordRequest accountTradeRecordRequest)  throws ParseException;
    PageInfo<AccountTradeRecordResponse> selectPagesNew(AccountTradeRecordRequest accountTradeRecordRequest);

    int insertBatch(List<AccountTradeRecord> list);

    //补单短信重发
    AccountTradeRecord retransmission(AccountTradeRecord accountTradeRecord) throws SmsException, ParseException;
}
